# GET /lead-gen/searches

**Resource:** [Lead Generation](./lead-gen.md)  
**Scopes:** `lead-gen:read`  
**Write operation:** no

List past lead generation searches with cursor-based pagination, most recent first. Filter by status or saved search.

## Parameters

| Name | In | Type | Required | Description |
|------|----|------|----------|-------------|
| `status` | query | string | no | Filter by status: "running", "completed", "failed" |
| `saved_search_id` | query | uuid | no | Filter to runs linked to a specific saved search |
| `limit` | query | number | no | Max results per page (default 25, max 100) |
| `after` | query | string | no | Cursor for next page |

## Request example

```bash
curl -X GET \
  "https://api.trustpager.com/functions/v1/api/v1/lead-gen/searches?status=completed&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response example

```json
{
  "data": [
    {
      "id": "8685d0d4-...",
      "search_query": "electricians",
      "location": "Sydney, NSW",
      "status": "completed",
      "result_count": 42,
      "new_result_count": 38,
      "already_in_crm_count": 4,
      "credits_charged": 10,
      "created_at": "2026-04-17T04:00:00Z",
      "completed_at": "2026-04-17T04:00:12Z"
    }
  ],
  "pagination": { "limit": 10, "has_more": false, "next_cursor": null }
}
```

---
Base URL: `https://api.trustpager.com/functions/v1/api/v1` — Auth: `Authorization: Bearer YOUR_API_KEY`